COREDUMP.CONF(5)

NAME
coredump.conf - Coredump storage configuration file

SYNOPSIS

/etc/systemd/coredump.conf

DESCRIPTION

This file configures the behaviour of systemd-coredump, a handler for core dumps invoked by the kernel.

OPTIONS

All options are configured in the "[Coredump]" section:

Storage=
    Controls where to store cores. One of "none", "external", "journal", and "both". When "none", the coredumps will be logged but not stored permanently. When "external" (the default), cores will be stored in /var/lib/systemd/coredump. When "journal", cores will be stored in the journal and rotated following normal journal rotation patterns. When "both", cores will be stored in both locations.

    When cores are stored in the journal, they might be compressed following journal compression settings, see journald.conf(5). When cores are stored externally, they will be compressed by default, see below.

Compress=
    Controls the type of compression for external storage. Takes a boolean argument, defaults to "yes".

ProcessSizeMax=
    The maximum size in bytes of a core which will be processed. Coredumps exceeding this size will be logged, but the backtrace will not be generated and the core will not be stored.

ExternalSizeMax=, JournalSizeMax=
    The maximum (uncompressed) size in bytes of a core to be saved.

MaxUse=, KeepFree=
    Enforce limits on the disk space taken up by externally stored coredumps. MaxUse= makes sure that old coredumps are removed as soon as the total disk space taken up by coredumps grows beyond this limit (defaults to 10% of the total disk size). KeepFree= controls how much disk space to keep free at least (defaults to 15% of the total disk size). Note that the disk space used by coredumps might temporarily exceed these limits while coredumps are processed. Note that old coredumps are also removed based on time via systemd-tmpfiles(8).

SEE ALSO

systemd-journald.service(8), coredumpctl(1), systemd-tmpfiles(8)